Generation Framework

## org.eclipse.gmf.gmfgraph
Class ColorConstants

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.gmfgraph.ColorConstants

All Implemented Interfaces:
  Enumerator

public final class ColorConstants
extends AbstractEnumerator

A representation of the literals of the enumeration 'Color Constants', and utility methods for working with them.

See Also:
  `GMFGraphPackage.getColorConstants()`
** Generated **
Model:

Field Summary
`static int` `BLACK` The 'Black' literal value
`static ColorConstants` `BLACK_LITERAL` The 'Black' literal object
`static int` `BLUE` The 'Blue' literal value
`static ColorConstants` `BLUE_LITERAL` The 'Blue' literal object
`static int` `CYAN` The 'Cyan' literal value
`static ColorConstants` `CYAN_LITERAL` The 'Cyan' literal object
`static int` `DARK_BLUE` The 'Dark Blue' literal value
`static ColorConstants` `DARK_BLUE_LITERAL` The 'Dark Blue' literal object
`static int` `DARK_GRAY` The 'Dark Gray' literal value
`static ColorConstants` `DARK_GRAY_LITERAL` The 'Dark Gray' literal object
`static int` `DARK_GREEN` The 'Dark Green' literal value
`static ColorConstants` `DARK_GREEN_LITERAL` The 'Dark Green' literal object
`static int` `GRAY` The 'Gray' literal value
`static ColorConstants` `GRAY_LITERAL` The 'Gray' literal object
`static int` `GREEN` The 'Green' literal value
`static ColorConstants` `GREEN_LITERAL` The 'Green' literal object
`static int` `LIGHT_BLUE` The 'Light Blue' literal value
`static ColorConstants` `LIGHT_BLUE_LITERAL` The 'Light Blue' literal object
`static int` `LIGHT_GRAY` The 'Light Gray' literal value
`static ColorConstants` `LIGHT_GRAY_LITERAL` The 'Light Gray' literal object
`static int` `LIGHT_GREEN` The 'Light Green' literal value
`static ColorConstants` `LIGHT_GREEN_LITERAL` The 'Light Green' literal object
`static int` `ORANGE` The 'Orange' literal value
`static ColorConstants` `ORANGE_LITERAL` The 'Orange' literal object
`static int` `RED` The 'Red' literal value
`static ColorConstants` `RED_LITERAL` The 'Red' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Color Constants' enumerators
`static int` `WHITE` The 'White' literal value
`static ColorConstants` `WHITE_LITERAL` The 'White' literal object
`static int` `YELLOW` The 'Yellow' literal value
`static ColorConstants` `YELLOW_LITERAL` The 'Yellow' literal object

Method Summary
`static ColorConstants` `get(int value)` Returns the 'Color Constants' literal with the specified integer value
`static ColorConstants` `get(java.lang.String literal)` Returns the 'Color Constants' literal with the specified literal value
`static ColorConstants` `getByName(java.lang.String name)` Returns the 'Color Constants' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WHITE

    public static final int WHITE

  The 'White' literal value.

  If the meaning of 'White' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.WHITE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="white"

### BLACK

    public static final int BLACK

  The 'Black' literal value.

  If the meaning of 'Black' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.BLACK_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="black"

### LIGHT_GRAY

    public static final int LIGHT_GRAY

  The 'Light Gray' literal value.

  If the meaning of 'Light Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.LIGHT_GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="lightGray"

### GRAY

    public static final int GRAY

  The 'Gray' literal value.

  If the meaning of 'Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="gray"

### DARK_GRAY

    public static final int DARK_GRAY

  The 'Dark Gray' literal value.

  If the meaning of 'Dark Gray' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.DARK_GRAY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="darkGray"

### RED

    public static final int RED

  The 'Red' literal value.

  If the meaning of 'Red' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.RED_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="red"

### ORANGE

    public static final int ORANGE

  The 'Orange' literal value.

  If the meaning of 'Orange' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.ORANGE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="orange"

### YELLOW

    public static final int YELLOW

  The 'Yellow' literal value.

  If the meaning of 'Yellow' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.YELLOW_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="yellow"

### GREEN

    public static final int GREEN

  The 'Green' literal value.

  If the meaning of 'Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="green"

### LIGHT_GREEN

    public static final int LIGHT_GREEN

  The 'Light Green' literal value.

  If the meaning of 'Light Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.LIGHT_GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="lightGreen"

### DARK_GREEN

    public static final int DARK_GREEN

  The 'Dark Green' literal value.

  If the meaning of 'Dark Green' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.DARK_GREEN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="darkGreen"

### CYAN

    public static final int CYAN

  The 'Cyan' literal value.

  If the meaning of 'Cyan' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.CYAN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="cyan"

### LIGHT_BLUE

    public static final int LIGHT_BLUE

  The 'Light Blue' literal value.

  If the meaning of 'Light Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.LIGHT_BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="lightBlue"

### BLUE

    public static final int BLUE

  The 'Blue' literal value.

  If the meaning of 'Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="blue"

### DARK_BLUE

    public static final int DARK_BLUE

  The 'Dark Blue' literal value.

  If the meaning of 'Dark Blue' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ColorConstants.DARK_BLUE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="darkBlue"

### WHITE_LITERAL

    public static final ColorConstants WHITE_LITERAL

  The 'White' literal object.

  See Also:
    `ColorConstants.WHITE`
  ** Generated **
  Ordered:

### BLACK_LITERAL

    public static final ColorConstants BLACK_LITERAL

  The 'Black' literal object.

  See Also:
    `ColorConstants.BLACK`
  ** Generated **
  Ordered:

### LIGHT_GRAY_LITERAL

    public static final ColorConstants LIGHT_GRAY_LITERAL

  The 'Light Gray' literal object.

  See Also:
    `ColorConstants.LIGHT_GRAY`
  ** Generated **
  Ordered:

### GRAY_LITERAL

    public static final ColorConstants GRAY_LITERAL

  The 'Gray' literal object.

  See Also:
    `ColorConstants.GRAY`
  ** Generated **
  Ordered:

### DARK_GRAY_LITERAL

    public static final ColorConstants DARK_GRAY_LITERAL

  The 'Dark Gray' literal object.

  See Also:
    `ColorConstants.DARK_GRAY`
  ** Generated **
  Ordered:

### RED_LITERAL

    public static final ColorConstants RED_LITERAL

  The 'Red' literal object.

  See Also:
    `ColorConstants.RED`
  ** Generated **
  Ordered:

### ORANGE_LITERAL

    public static final ColorConstants ORANGE_LITERAL

  The 'Orange' literal object.

  See Also:
    `ColorConstants.ORANGE`
  ** Generated **
  Ordered:

### YELLOW_LITERAL

    public static final ColorConstants YELLOW_LITERAL

  The 'Yellow' literal object.

  See Also:
    `ColorConstants.YELLOW`
  ** Generated **
  Ordered:

### GREEN_LITERAL

    public static final ColorConstants GREEN_LITERAL

  The 'Green' literal object.

  See Also:
    `ColorConstants.GREEN`
  ** Generated **
  Ordered:

### LIGHT_GREEN_LITERAL

    public static final ColorConstants LIGHT_GREEN_LITERAL

  The 'Light Green' literal object.

  See Also:
    `ColorConstants.LIGHT_GREEN`
  ** Generated **
  Ordered:

### DARK_GREEN_LITERAL

    public static final ColorConstants DARK_GREEN_LITERAL

  The 'Dark Green' literal object.

  See Also:
    `ColorConstants.DARK_GREEN`
  ** Generated **
  Ordered:

### CYAN_LITERAL

    public static final ColorConstants CYAN_LITERAL

  The 'Cyan' literal object.

  See Also:
    `ColorConstants.CYAN`
  ** Generated **
  Ordered:

### LIGHT_BLUE_LITERAL

    public static final ColorConstants LIGHT_BLUE_LITERAL

  The 'Light Blue' literal object.

  See Also:
    `ColorConstants.LIGHT_BLUE`
  ** Generated **
  Ordered:

### BLUE_LITERAL

    public static final ColorConstants BLUE_LITERAL

  The 'Blue' literal object.

  See Also:
    `ColorConstants.BLUE`
  ** Generated **
  Ordered:

### DARK_BLUE_LITERAL

    public static final ColorConstants DARK_BLUE_LITERAL

  The 'Dark Blue' literal object.

  See Also:
    `ColorConstants.DARK_BLUE`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Color Constants' enumerators.

  ** Generated **

Method Detail

### get

    public static ColorConstants get(java.lang.String literal)

  Returns the 'Color Constants' literal with the specified literal value.

  ** Generated **

### getByName

    public static ColorConstants getByName(java.lang.String name)

  Returns the 'Color Constants' literal with the specified name.

  ** Generated **

### get

    public static ColorConstants get(int value)

  Returns the 'Color Constants' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.